Bug 1872572 - xorg-x11-server: integer overflow in init_om() can lead to double-free
Summary: xorg-x11-server: integer overflow in init_om() can lead to double-free
Keywords:
Status: CLOSED DUPLICATE of bug 1872473
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1872573 1872576 1872577 1872578 1872579
Blocks: 1862265
TreeView+ depends on / blocked
 
Reported: 2020-08-26 06:33 UTC by Doran Moppert
Modified: 2020-10-29 13:48 UTC (History)
10 users (show)

Fixed In Version: xorg-x11-server 1.20.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-27 00:45:22 UTC


Attachments (Terms of Use)

Description Doran Moppert 2020-08-26 06:33:58 UTC
An integer overflow in init_om(), used in LibX11 for locale handling, can lead to a double-free.

Upstream advisory:

https://lists.x.org/archives/xorg-announce/2020-August/003056.html

Upstream patch:

https://gitlab.freedesktop.org/xorg/lib/libx11/-/commit/acdaaadcb3d85c61fd43669fc5dddf0f8c3f911d

Comment 1 Doran Moppert 2020-08-26 06:34:23 UTC
Created xorg-x11-server tracking bugs for this issue:

Affects: fedora-all [bug 1872573]

Comment 5 Doran Moppert 2020-08-27 00:46:11 UTC

*** This bug has been marked as a duplicate of bug 1872473 ***


Note You need to log in before you can comment on or make changes to this bug.